/*!***************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js!./node_modules/sass-loader/dist/cjs.js!./src/better_social_sharing_buttons/better_social_sharing_buttons.scss ***!
  \***************************************************************************************************************************************************************/
.layout-container .social-sharing-buttons {
  --social-sharing-position: 27vh auto auto 0;
  --hover-border-radius: 0 5px 5px 0;
  --first-child-border-radius: 0 5px 0 0;
  --last-child-border-radius: 0 0 5px 0;
  position: fixed;
  z-index: 300;
  inset: var(--social-sharing-position);
  display: flex;
  flex-flow: column nowrap;
  align-items: flex-end;
}
.layout-container .social-sharing-buttons .social-sharing-buttons__button {
  height: 56px;
  width: 56px;
  overflow: hidden;
  display: flex;
  flex-flow: row-reverse;
  align-items: center;
  justify-content: flex-start;
  gap: 0.5rem;
  text-decoration: none !important;
  transition: all 0.2s ease-in;
}
.layout-container .social-sharing-buttons .social-sharing-buttons__button:first-child {
  border-radius: var(--first-child-border-radius);
}
.layout-container .social-sharing-buttons .social-sharing-buttons__button:last-child {
  border-radius: var(--last-child-border-radius);
}
.layout-container .social-sharing-buttons .social-sharing-buttons__button svg {
  fill: white;
  flex: 0 0 56px;
}
.layout-container .social-sharing-buttons .social-sharing-buttons__button span {
  opacity: 0;
  display: inline-block;
  white-space: nowrap;
  margin-left: -35px;
  transition: all 0.2s ease-in;
  font-size: 2rem;
  color: white;
}
.layout-container .social-sharing-buttons .social-sharing-buttons__button:hover {
  width: 13rem;
  border-radius: var(--hover-border-radius);
}
.layout-container .social-sharing-buttons .social-sharing-buttons__button:hover span {
  opacity: 1;
  margin-left: 0;
}
.layout-container .social-sharing-buttons .social-sharing-buttons__button.share-facebook {
  background-color: #4267B2;
}
.layout-container .social-sharing-buttons .social-sharing-buttons__button.share-twitter {
  background-color: #000;
}
.layout-container .social-sharing-buttons .social-sharing-buttons__button.share-twitter svg {
  width: 35px;
  height: 35px;
}
.layout-container .social-sharing-buttons .social-sharing-buttons__button.share-pinterest {
  background-color: #CB2027;
}
.layout-container .social-sharing-buttons .social-sharing-buttons__button.share-linkedin {
  background-color: #0077b5;
}
.layout-container .social-sharing-buttons .social-sharing-buttons__button.share-email {
  background-color: #7d7d7d;
}
.layout-container .social-sharing-buttons .social-sharing-buttons__button.share-copy {
  padding: 0;
  cursor: pointer;
  background-color: #95D03A;
}
.layout-container .social-sharing-buttons .social-sharing-buttons__popup {
  position: absolute;
  inset: auto 6.5rem 7rem auto;
  background-color: black;
  white-space: nowrap;
  color: white;
  font-size: small;
  padding: 4px;
  border-radius: 3px;
  opacity: 0;
  height: 0;
  overflow: hidden;
  transition: all 0.5s ease;
}
.layout-container .social-sharing-buttons .social-sharing-buttons__popup.visible {
  opacity: 1;
  height: auto;
  overflow: unset;
}
.layout-container .social-sharing-buttons .social-sharing-buttons__popup:before {
  position: absolute;
  left: 50%;
  bottom: 0;
  transform: translate(-50%, 100%);
  display: block;
  content: "";
  width: 0;
  height: 0;
  border-left: 10px solid transparent;
  border-right: 10px solid transparent;
  border-top: 10px solid black;
}
.layout-container[lang=en] .social-sharing-buttons {
  --social-sharing-position: 27vh 0 auto auto;
  --hover-border-radius: 5px 0 0 5px;
  --first-child-border-radius: 5px 0 0 0;
  --last-child-border-radius: 0 0 0 5px;
}
